QGIS Application - Bug report #11410
QGIS crashes when rendering all layers from a SOSI file at once
2014-10-14 12:52 PM - Stefan Blumentrath

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corruptsdata: Copied to github as #: 19689
Description

QGIS crashes when rendering SOSI files, when all included layers are imported and made visible at once. QGIS crashes with
"qgis-dev.exe has stopped working". In order to reproduce the issue it may need more that one SOSI file to cause the crash (open a SOSI
file, click select all layers and then OK).

Using GDAL 1.11.0 and gdal-sosi 1.11.0-2

| can provide example files if needed.

Last line in DebugView is:
[11540] c:\\src\\qgis\\src\\providers\\ogr\\qgsogrprovider.cpp(872) : (QgsOgrProvider::extent) Starting get extent

Possibly related to #10746

History

#1 - 2014-10-16 03:22 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Priority changed from Normal to High

yes please, send/attach sample files. Thanks!

#2 - 2014-10-16 03:43 AM - Stefan Blumentrath
- File NATVERNOMR.zip added

- File Kystkontur_generalisert.zip added

- File NATURTYPER.zip added

Best way to reproduce the issue is to open all three files and then select all layers at import...

#3 - 2014-10-16 01:08 PM - Giovanni Manghi
- Status changed from Feedback to Open
- Affected QGIS version changed from 2.4.0 to master

#4 - 2016-01-19 04:56 AM - Sandro Santilli
- Status changed from Open to Feedback
Can you still reproduce with current master (2.14-pre) ?

If so, can you also reproduce by loading a spatialite file rather than those SOSI files (I couldn't figure out how to load the SOSI file for testing)

#5 - 2016-01-24 11:56 PM - James Stott

I have just tested with Master from OSGeo4w.

The first time | opened NATVERNOMR:.sos, it didn't crash QGIS, but the file was not rendered correctly. It did not show all the geometry types correctly.

Sometimes you see only the lines, other times only the polygons, and occasionally the points.

When | then added NATURTYPER:.sos to QGIS, it instantly crashed.

After this | cannot get Naturvern.sos to render or show data in the attribute table. However naturtyper.sos opens, but has the same display problems that it

will not display all geometry types at once. Eventually QGIS crashes with both files open again.

Do you have an example spatialite file | can try for you to reproduce?

#6 - 2016-02-06 02:57 PM - Stefan Blumentrath

Unfortunately, it seems that the Norwegian Mapping authority (Kartverket) discontinued the work on the SOSI-driver for GDAL, as there is no progress for

more than a year now:

https:/github.com/kartverket/fyba/issues/9

Sad, but maybe best to close this issue as wontfix, until Kartverket updates the driver?

#7 - 2016-02-09 02:04 PM - Giovanni Manghi
- Resolution set to up/downstream
- Status changed from Feedback to Closed

Stefan Blumentrath wrote:

Unfortunately, it seems that the Norwegian Mapping authority (Kartverket) discontinued the work on the SOSI-driver for GDAL, as there is no

progress for more than a year now:
https://github.com/kartverket/fyba/issues/9

Sad, but maybe best to close this issue as wontfix, until Kartverket updates the driver?

closing as "upstream", as seems really the issue must be fixed anyway in gdal first.

Files

Kystkontur_generalisert.zip 1.69 MB 2014-10-16 Stefan Blumentrath

NATURTYPER.zip 1.51 MB 2014-10-16 Stefan Blumentrath

NATVERNOMR.zip 781 KB 2014-10-16 Stefan Blumentrath
2025-04-27 22


https://github.com/kartverket/fyba/issues/9
https://github.com/kartverket/fyba/issues/9

